[Bug 1740637] [NEW] Remove python-appindicator and gir1.2-appindicator-0.1

Jeremy Bicha jeremy at bicha.net
Sat Dec 30 22:05:41 UTC 2017


Public bug reported:

gir1.2-appindicator-0.1 has no reverse dependencies (it is for gtk2
GObject Introspection)

After removals are processed for other reasons, there are only 2
packages that recommend python-appindicator. It would be trivial to drop
the recommends. Those 2 packages (deluge and gtk-recordmydesktop) are
scheduled for autoremoval from Debian Testing in February because they
use pygtk.

$ reverse-depends python-appindicator
Reverse-Recommends
==================
* deluge-gtk
* gpodder — should be fixed once 3.10.0 is packaged
* gtk-recordmydesktop
* sbackup-gtk — RM requested in LP: #1739800
* winswitch — RM requested in LP: #1739797

Reverse-Depends
===============
* aws-status — RM requested in LP: #1739797
* cherrytree — RM requested in LP: #1731725
* glipper — RM requested in LP: #1739800
* hamster-indicator — source is hamster-applet, RM requested in LP: #1739797
* python-seelablet — RM requested in LP: #1740631

--------------------------
OTHER GTK2 REVERSE DEPENDS
--------------------------
The other gtk2 libraries for libappindicator aren't planned for removal yet.


$ reverse-depends libappindicator0.1-cil
Reverse-Depends
===============
* banshee-extension-appindicator
* libappindicator0.1-cil-dev
* tasque
* tomboy

$ reverse-depends libappindicator1
Reverse-Recommends
==================
* nautilus-dropbox
* telegram-desktop

Reverse-Depends
===============
* alarm-clock-applet
* clipit
* gir1.2-appindicator-0.1 (proposed removal here)
* gmpc
* gnome-ppp
* growl-for-linux
* guake-indicator
* gxkb
* hime
* indicator-application-gtk2
* libappindicator-dev
* libappindicator0.1-cil
* libgtk2-appindicator-perl (shutter is the only rdepends here, shutter still depends on libgnome though)
* linuxdcpp
* nitroshare
* parcellite
* python-appindicator (proposed removal here)
* quicksynergy
* wallch

** Affects: libappindicator (Ubuntu)
     Importance: Undecided
         Status: New

-- 
You received this bug notification because you are a member of Indicator
Applet Developers, which is subscribed to libappindicator in Ubuntu.
https://bugs.launchpad.net/bugs/1740637

Title:
  Remove python-appindicator and gir1.2-appindicator-0.1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libappindicator/+bug/1740637/+subscriptions



More information about the Ubuntu-reviews mailing list